<?php
	$uri = 'integra_clases.php';	
	include_once($uri);
	 
	//Tipo De Consulta (1,2,3....)
	$case = $_POST['case'];
	//Variable ID...
	$id = $_POST['id'];
	//VARIABLE DE LA TABLA, Muy Importante!
	$tabla = $_POST['tabla'];
	
	if(isset($tabla)){
		function create_user_class_array($className, $params = array())
		{
			$reflection = new ReflectionClass($className); //GENERO UN OBJETO DINAMICO!!!
			return $reflection->newInstanceArgs($params);//PARAMETRO DE ESE OBJETO
		}
		
		$sql = new consultasDb($tabla);		
		$sql->select();
		$total_cols = $sql->numColumnas();
		$array="";
		
		for($i = 1; $i < $total_cols; $i++)
		{
			if($i == $total_cols-1)
				$array.=$_POST[$sql->nombreCampo($i)];
			else
				$array.=$_POST[$sql->nombreCampo($i)].',';
		}//CIERRO EL FOR
		
		$array = explode(',',$array,($total_cols));			
		$tablax = create_user_class_array($tabla,$array);
		
		
		switch($case){
			case 1: //Insertar				
				echo $tablax->nuevo();				
				break;
				
			case 2: //Editar
				echo $tablax->editar($id);
				break;
				
			case 3: //Eliminar
				echo $tablax->eliminar($id);
				break;
			
			case 4: //Tabla
				echo $tablax->tabla();
				break;
				
			case 5: //FUNCION LOGEO
				echo $tablax->logeo($_POST['nombreUsuario'], $_POST['contrasena'],$_POST['token']);
				break;
				
			case 6: //FUNCION LOGOUT!
				echo $tablax->logout();
				break;
		}
		
		$tablax->offDb();
	}//Cierro el IF
?>